Skip to main content
PUT
/
tags
/
{tag}
Update a tag
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/tags/{tag} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "Product Engineering"
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/tags/{tag}"

payload = { "label": "Product Engineering" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: 'Product Engineering'})
};

fetch('https://sandbox.nmbr.co/services/payroll/tags/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "tag",
  "data": {
    "label": "Product Engineering",
    "label_translations": null,
    "label_translated": "Product Engineering",
    "description": null,
    "description_translations": null,
    "description_translated": null,
    "archived_at": null,
    "is_deletable": true,
    "integrations": {
      "xero": {
        "id": null
      },
      "quickbooks": {
        "id": null
      }
    },
    "tag_group": {
      "id": "<id>",
      "object": "tag_group",
      "links": {
        "self": "/tag_groups/<id>"
      }
    },
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/tags/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tag
string
required

Body

application/json
label
string
Maximum string length: 255
label_translations
object | null

Optional translations for the label property.

description
string | null
description_translations
object | null

Optional translations for the description property.

archived_at
string<date>
integrations
object

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("tag").

data
Tag · object